Subject: Re: ld -r errors with C++ objects
From: "Brian R. Gaeke" <[email-masked]>
To: Danny Smith <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Aug 2003 15:39:35 -0500

Ross Smith wrote:
> Are you using -Ur? If not, RTFM. If you are, I'm out of suggestions.

Danny Smith wrote:
> The problem is with the .stabs debugging symbols in C++ - and it has been
> around for awhile as you have already noted. Debugging symbols don't seem to
> cause problem in C.
> 
> This should work (strip the debug info) but may not be what you want.
> 
> ld  -r  -S -o 3,o 1.o 2.o
> 
> You may wish to report to binutils list as a bug.

Thanks for the suggestions. I tried both of the above options and
neither one seems to have helped. I will bring this to the attention
of the binutils maintainers.

-Brian Gaeke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/